# Disabled as  some modules are not in fedora
%global enable_tests 0

%global module_name event-stream

Name:           nodejs-%{module_name}
Version:        3.3.4
Release:        5%{?dist}
Summary:        Construct pipes of streams of events

License:        MIT
URL:            https://github.com/dominictarr/event-stream
Source0:        https://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(it-is)
BuildRequires:  npm(asynct)
BuildRequires:  npm(stream-spec)
%endif

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules

%nodejs_fixdep map-stream ~0.x
%nodejs_fixdep split
%nodejs_fixdep stream-combiner ~0.x

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}

%nodejs_symlink_deps
%if 0%{?enable_tests}
%check
%{__nodejs} -e 'require("./")'
%nodejs_symlink_deps --check
set -e; for t in test/*.js; do node $t; done
%endif

%files
%doc readme.markdown examples
%license LICENCE
%{nodejs_sitelib}/%{module_name}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 02 2016 Parag Nemade <pnemade AT redhat DOT com> - 3.3.4-1
- Update to 3.3.4

* Mon Aug 01 2016 Parag Nemade <pnemade AT redhat DOT com> - 3.2.2-5
- Relax dependency for split module

* Sat Jul 30 2016 Parag Nemade <pnemade AT redhat DOT com> - 3.2.2-4
- fixdep for split module

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 04 2015 Parag Nemade <pnemade AT redhat DOT com> - 3.2.2-1
- update to 3.2.2 upstream release

* Thu Jan 08 2015 Parag Nemade <pnemade AT redhat DOT com> - 3.2.1-1
- Update to 3.2.1

* Sun Dec 07 2014 Parag Nemade <pnemade AT redhat DOT com> - 3.1.7-1
- Initial packaging

